PHP Portal » PHP Handbuch » Exception::getPrevious

Werbung

Exception::getPrevious


(PHP 5 >= 5.3.0)

Exception::getPreviousReturns previous Exception

Beschreibung

final public Exception Exception::getPrevious ( void )

Returns previous Exception (the third parameter of Exception::__construct).

Parameter-Liste

Diese Funktion hat keine Parameter.

Rückgabewerte

Returns the previous Exception if available or NULL otherwise.

Beispiele

Beispiel #1 Exception::getPrevious example

Looping over, and printing out, exception trace.

PHP Code
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
class MyCustomException extends Exception {} function doStuff() { try { throw new InvalidArgumentException("You are doing it wrong!", 112); } catch(Exception $e) { throw new MyCustomException("Something happend", 911, $e); } } try { doStuff(); } catch(Exception $e) { do { printf("%s:%d %s(%d) [%s]\n", $e->getFile(), $e->getLine(), $e->getMessage(), $e->getCode(), get_class($e)); } while($e = $e->getPrevious()); }

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

/home/bjori/ex.php:8 Something happend (911) [MyCustomException]
/home/bjori/ex.php:6 You are doing it wrong! (112) [InvalidArgumentException]